1. Packages
  2. Packages
  3. Volcenginecc Provider
  4. API Docs
  5. vke
  6. getNode
Viewing docs for volcenginecc v0.0.32
published on Thursday, Apr 23, 2026 by Volcengine
volcenginecc logo
Viewing docs for volcenginecc v0.0.32
published on Thursday, Apr 23, 2026 by Volcengine

    Data Source schema for Volcengine::VKE::Node

    Using getNode

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getNode(args: GetNodeArgs, opts?: InvokeOptions): Promise<GetNodeResult>
    function getNodeOutput(args: GetNodeOutputArgs, opts?: InvokeOptions): Output<GetNodeResult>
    def get_node(id: Optional[str] = None,
                 opts: Optional[InvokeOptions] = None) -> GetNodeResult
    def get_node_output(id: Optional[pulumi.Input[str]] = None,
                 opts: Optional[InvokeOptions] = None) -> Output[GetNodeResult]
    func LookupNode(ctx *Context, args *LookupNodeArgs, opts ...InvokeOption) (*LookupNodeResult, error)
    func LookupNodeOutput(ctx *Context, args *LookupNodeOutputArgs, opts ...InvokeOption) LookupNodeResultOutput

    > Note: This function is named LookupNode in the Go SDK.

    public static class GetNode 
    {
        public static Task<GetNodeResult> InvokeAsync(GetNodeArgs args, InvokeOptions? opts = null)
        public static Output<GetNodeResult> Invoke(GetNodeInvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetNodeResult> getNode(GetNodeArgs args, InvokeOptions options)
    public static Output<GetNodeResult> getNode(GetNodeArgs args, InvokeOptions options)
    
    fn::invoke:
      function: volcenginecc:vke/getNode:getNode
      arguments:
        # arguments dictionary

    The following arguments are supported:

    Id string
    Uniquely identifies the resource.
    Id string
    Uniquely identifies the resource.
    id String
    Uniquely identifies the resource.
    id string
    Uniquely identifies the resource.
    id str
    Uniquely identifies the resource.
    id String
    Uniquely identifies the resource.

    getNode Result

    The following output properties are available:

    AdditionalContainerStorageEnabled bool
    Select the data disk for the node, format and mount it as the storage directory for container images and logs. Values: false (default): Disabled. Default node pool: indicates no data disk is mounted. Custom node pool: mounts according to the node pool's data disk configuration. ECS instance data disks added to the node pool must include the data disk specified for mounting by the target node pool (including local disks), and the disk type and size must match exactly. true: Enabled. You must also configure the ContainerStoragePath parameter. The node mounts according to the configuration in the ContainerStoragePath parameter and ignores the node pool's data disk configuration. There are no special requirements for ECS instance data disks added to the node pool.
    ClusterId string
    Cluster ID.
    ContainerStoragePath string
    Use this data disk device to mount the container and image storage directory /var/lib/containerd. Valid only when AdditionalContainerStorageEnabled=true and cannot be empty. The following conditions must be met, otherwise initialization will fail: Only ECS instances with mounted data disks are supported. When specifying a data disk device name, ensure the device exists, otherwise initialization will fail. When specifying a data disk partition or logical volume name, ensure the partition or logical volume exists and uses the ext4 file system.
    CreatedTime string
    Creation time.
    Id string
    Uniquely identifies the resource.
    ImageId string
    Image ID used by the ECS instance corresponding to the node.
    InitializeScript string
    Script executed after creating ECS nodes and deploying Kubernetes components. Supports Shell format. Base64-encoded length must not exceed 1 KB. If left empty, the node inherits the default node pool initialization script NodeConfig.InitializeScript. If you enter a custom script, the custom script will be used and the default node pool initialization script will be ignored.
    InstanceId string
    Cloud server instance ID corresponding to the node.
    IsVirtual bool
    Is it a virtual node? Parameter value description: false: No, true: Yes.
    KeepInstanceName bool
    Whether to retain the original ECS instance name. Options: false (default): do not retain the original ECS instance name; Container Service automatically assigns a name. true: retain the original ECS instance name.
    KubernetesConfig Volcengine.GetNodeKubernetesConfig
    Kubernetes-related configuration for the node. If empty, the node inherits the default node pool's Kubernetes configuration: KubernetesConfig.Labels/Taints/Cordon. If custom configuration is provided, the node uses the custom configuration and ignores the default node pool's Kubernetes configuration.
    Name string
    Node name.
    NodeId string
    Node ID.
    NodePoolId string
    Node pool ID. If no parameter value is provided: add existing ECS instances to the default node pool. If a parameter value is provided: add existing ECS instances to a custom node pool.
    Roles List<string>
    Node role. Parameter value description: Worker: Worker node.
    Status Volcengine.GetNodeStatus
    Node status.
    UpdatedTime string
    Update time.
    ZoneId string
    Availability zone ID.
    AdditionalContainerStorageEnabled bool
    Select the data disk for the node, format and mount it as the storage directory for container images and logs. Values: false (default): Disabled. Default node pool: indicates no data disk is mounted. Custom node pool: mounts according to the node pool's data disk configuration. ECS instance data disks added to the node pool must include the data disk specified for mounting by the target node pool (including local disks), and the disk type and size must match exactly. true: Enabled. You must also configure the ContainerStoragePath parameter. The node mounts according to the configuration in the ContainerStoragePath parameter and ignores the node pool's data disk configuration. There are no special requirements for ECS instance data disks added to the node pool.
    ClusterId string
    Cluster ID.
    ContainerStoragePath string
    Use this data disk device to mount the container and image storage directory /var/lib/containerd. Valid only when AdditionalContainerStorageEnabled=true and cannot be empty. The following conditions must be met, otherwise initialization will fail: Only ECS instances with mounted data disks are supported. When specifying a data disk device name, ensure the device exists, otherwise initialization will fail. When specifying a data disk partition or logical volume name, ensure the partition or logical volume exists and uses the ext4 file system.
    CreatedTime string
    Creation time.
    Id string
    Uniquely identifies the resource.
    ImageId string
    Image ID used by the ECS instance corresponding to the node.
    InitializeScript string
    Script executed after creating ECS nodes and deploying Kubernetes components. Supports Shell format. Base64-encoded length must not exceed 1 KB. If left empty, the node inherits the default node pool initialization script NodeConfig.InitializeScript. If you enter a custom script, the custom script will be used and the default node pool initialization script will be ignored.
    InstanceId string
    Cloud server instance ID corresponding to the node.
    IsVirtual bool
    Is it a virtual node? Parameter value description: false: No, true: Yes.
    KeepInstanceName bool
    Whether to retain the original ECS instance name. Options: false (default): do not retain the original ECS instance name; Container Service automatically assigns a name. true: retain the original ECS instance name.
    KubernetesConfig GetNodeKubernetesConfig
    Kubernetes-related configuration for the node. If empty, the node inherits the default node pool's Kubernetes configuration: KubernetesConfig.Labels/Taints/Cordon. If custom configuration is provided, the node uses the custom configuration and ignores the default node pool's Kubernetes configuration.
    Name string
    Node name.
    NodeId string
    Node ID.
    NodePoolId string
    Node pool ID. If no parameter value is provided: add existing ECS instances to the default node pool. If a parameter value is provided: add existing ECS instances to a custom node pool.
    Roles []string
    Node role. Parameter value description: Worker: Worker node.
    Status GetNodeStatus
    Node status.
    UpdatedTime string
    Update time.
    ZoneId string
    Availability zone ID.
    additionalContainerStorageEnabled Boolean
    Select the data disk for the node, format and mount it as the storage directory for container images and logs. Values: false (default): Disabled. Default node pool: indicates no data disk is mounted. Custom node pool: mounts according to the node pool's data disk configuration. ECS instance data disks added to the node pool must include the data disk specified for mounting by the target node pool (including local disks), and the disk type and size must match exactly. true: Enabled. You must also configure the ContainerStoragePath parameter. The node mounts according to the configuration in the ContainerStoragePath parameter and ignores the node pool's data disk configuration. There are no special requirements for ECS instance data disks added to the node pool.
    clusterId String
    Cluster ID.
    containerStoragePath String
    Use this data disk device to mount the container and image storage directory /var/lib/containerd. Valid only when AdditionalContainerStorageEnabled=true and cannot be empty. The following conditions must be met, otherwise initialization will fail: Only ECS instances with mounted data disks are supported. When specifying a data disk device name, ensure the device exists, otherwise initialization will fail. When specifying a data disk partition or logical volume name, ensure the partition or logical volume exists and uses the ext4 file system.
    createdTime String
    Creation time.
    id String
    Uniquely identifies the resource.
    imageId String
    Image ID used by the ECS instance corresponding to the node.
    initializeScript String
    Script executed after creating ECS nodes and deploying Kubernetes components. Supports Shell format. Base64-encoded length must not exceed 1 KB. If left empty, the node inherits the default node pool initialization script NodeConfig.InitializeScript. If you enter a custom script, the custom script will be used and the default node pool initialization script will be ignored.
    instanceId String
    Cloud server instance ID corresponding to the node.
    isVirtual Boolean
    Is it a virtual node? Parameter value description: false: No, true: Yes.
    keepInstanceName Boolean
    Whether to retain the original ECS instance name. Options: false (default): do not retain the original ECS instance name; Container Service automatically assigns a name. true: retain the original ECS instance name.
    kubernetesConfig GetNodeKubernetesConfig
    Kubernetes-related configuration for the node. If empty, the node inherits the default node pool's Kubernetes configuration: KubernetesConfig.Labels/Taints/Cordon. If custom configuration is provided, the node uses the custom configuration and ignores the default node pool's Kubernetes configuration.
    name String
    Node name.
    nodeId String
    Node ID.
    nodePoolId String
    Node pool ID. If no parameter value is provided: add existing ECS instances to the default node pool. If a parameter value is provided: add existing ECS instances to a custom node pool.
    roles List<String>
    Node role. Parameter value description: Worker: Worker node.
    status GetNodeStatus
    Node status.
    updatedTime String
    Update time.
    zoneId String
    Availability zone ID.
    additionalContainerStorageEnabled boolean
    Select the data disk for the node, format and mount it as the storage directory for container images and logs. Values: false (default): Disabled. Default node pool: indicates no data disk is mounted. Custom node pool: mounts according to the node pool's data disk configuration. ECS instance data disks added to the node pool must include the data disk specified for mounting by the target node pool (including local disks), and the disk type and size must match exactly. true: Enabled. You must also configure the ContainerStoragePath parameter. The node mounts according to the configuration in the ContainerStoragePath parameter and ignores the node pool's data disk configuration. There are no special requirements for ECS instance data disks added to the node pool.
    clusterId string
    Cluster ID.
    containerStoragePath string
    Use this data disk device to mount the container and image storage directory /var/lib/containerd. Valid only when AdditionalContainerStorageEnabled=true and cannot be empty. The following conditions must be met, otherwise initialization will fail: Only ECS instances with mounted data disks are supported. When specifying a data disk device name, ensure the device exists, otherwise initialization will fail. When specifying a data disk partition or logical volume name, ensure the partition or logical volume exists and uses the ext4 file system.
    createdTime string
    Creation time.
    id string
    Uniquely identifies the resource.
    imageId string
    Image ID used by the ECS instance corresponding to the node.
    initializeScript string
    Script executed after creating ECS nodes and deploying Kubernetes components. Supports Shell format. Base64-encoded length must not exceed 1 KB. If left empty, the node inherits the default node pool initialization script NodeConfig.InitializeScript. If you enter a custom script, the custom script will be used and the default node pool initialization script will be ignored.
    instanceId string
    Cloud server instance ID corresponding to the node.
    isVirtual boolean
    Is it a virtual node? Parameter value description: false: No, true: Yes.
    keepInstanceName boolean
    Whether to retain the original ECS instance name. Options: false (default): do not retain the original ECS instance name; Container Service automatically assigns a name. true: retain the original ECS instance name.
    kubernetesConfig GetNodeKubernetesConfig
    Kubernetes-related configuration for the node. If empty, the node inherits the default node pool's Kubernetes configuration: KubernetesConfig.Labels/Taints/Cordon. If custom configuration is provided, the node uses the custom configuration and ignores the default node pool's Kubernetes configuration.
    name string
    Node name.
    nodeId string
    Node ID.
    nodePoolId string
    Node pool ID. If no parameter value is provided: add existing ECS instances to the default node pool. If a parameter value is provided: add existing ECS instances to a custom node pool.
    roles string[]
    Node role. Parameter value description: Worker: Worker node.
    status GetNodeStatus
    Node status.
    updatedTime string
    Update time.
    zoneId string
    Availability zone ID.
    additional_container_storage_enabled bool
    Select the data disk for the node, format and mount it as the storage directory for container images and logs. Values: false (default): Disabled. Default node pool: indicates no data disk is mounted. Custom node pool: mounts according to the node pool's data disk configuration. ECS instance data disks added to the node pool must include the data disk specified for mounting by the target node pool (including local disks), and the disk type and size must match exactly. true: Enabled. You must also configure the ContainerStoragePath parameter. The node mounts according to the configuration in the ContainerStoragePath parameter and ignores the node pool's data disk configuration. There are no special requirements for ECS instance data disks added to the node pool.
    cluster_id str
    Cluster ID.
    container_storage_path str
    Use this data disk device to mount the container and image storage directory /var/lib/containerd. Valid only when AdditionalContainerStorageEnabled=true and cannot be empty. The following conditions must be met, otherwise initialization will fail: Only ECS instances with mounted data disks are supported. When specifying a data disk device name, ensure the device exists, otherwise initialization will fail. When specifying a data disk partition or logical volume name, ensure the partition or logical volume exists and uses the ext4 file system.
    created_time str
    Creation time.
    id str
    Uniquely identifies the resource.
    image_id str
    Image ID used by the ECS instance corresponding to the node.
    initialize_script str
    Script executed after creating ECS nodes and deploying Kubernetes components. Supports Shell format. Base64-encoded length must not exceed 1 KB. If left empty, the node inherits the default node pool initialization script NodeConfig.InitializeScript. If you enter a custom script, the custom script will be used and the default node pool initialization script will be ignored.
    instance_id str
    Cloud server instance ID corresponding to the node.
    is_virtual bool
    Is it a virtual node? Parameter value description: false: No, true: Yes.
    keep_instance_name bool
    Whether to retain the original ECS instance name. Options: false (default): do not retain the original ECS instance name; Container Service automatically assigns a name. true: retain the original ECS instance name.
    kubernetes_config GetNodeKubernetesConfig
    Kubernetes-related configuration for the node. If empty, the node inherits the default node pool's Kubernetes configuration: KubernetesConfig.Labels/Taints/Cordon. If custom configuration is provided, the node uses the custom configuration and ignores the default node pool's Kubernetes configuration.
    name str
    Node name.
    node_id str
    Node ID.
    node_pool_id str
    Node pool ID. If no parameter value is provided: add existing ECS instances to the default node pool. If a parameter value is provided: add existing ECS instances to a custom node pool.
    roles Sequence[str]
    Node role. Parameter value description: Worker: Worker node.
    status GetNodeStatus
    Node status.
    updated_time str
    Update time.
    zone_id str
    Availability zone ID.
    additionalContainerStorageEnabled Boolean
    Select the data disk for the node, format and mount it as the storage directory for container images and logs. Values: false (default): Disabled. Default node pool: indicates no data disk is mounted. Custom node pool: mounts according to the node pool's data disk configuration. ECS instance data disks added to the node pool must include the data disk specified for mounting by the target node pool (including local disks), and the disk type and size must match exactly. true: Enabled. You must also configure the ContainerStoragePath parameter. The node mounts according to the configuration in the ContainerStoragePath parameter and ignores the node pool's data disk configuration. There are no special requirements for ECS instance data disks added to the node pool.
    clusterId String
    Cluster ID.
    containerStoragePath String
    Use this data disk device to mount the container and image storage directory /var/lib/containerd. Valid only when AdditionalContainerStorageEnabled=true and cannot be empty. The following conditions must be met, otherwise initialization will fail: Only ECS instances with mounted data disks are supported. When specifying a data disk device name, ensure the device exists, otherwise initialization will fail. When specifying a data disk partition or logical volume name, ensure the partition or logical volume exists and uses the ext4 file system.
    createdTime String
    Creation time.
    id String
    Uniquely identifies the resource.
    imageId String
    Image ID used by the ECS instance corresponding to the node.
    initializeScript String
    Script executed after creating ECS nodes and deploying Kubernetes components. Supports Shell format. Base64-encoded length must not exceed 1 KB. If left empty, the node inherits the default node pool initialization script NodeConfig.InitializeScript. If you enter a custom script, the custom script will be used and the default node pool initialization script will be ignored.
    instanceId String
    Cloud server instance ID corresponding to the node.
    isVirtual Boolean
    Is it a virtual node? Parameter value description: false: No, true: Yes.
    keepInstanceName Boolean
    Whether to retain the original ECS instance name. Options: false (default): do not retain the original ECS instance name; Container Service automatically assigns a name. true: retain the original ECS instance name.
    kubernetesConfig Property Map
    Kubernetes-related configuration for the node. If empty, the node inherits the default node pool's Kubernetes configuration: KubernetesConfig.Labels/Taints/Cordon. If custom configuration is provided, the node uses the custom configuration and ignores the default node pool's Kubernetes configuration.
    name String
    Node name.
    nodeId String
    Node ID.
    nodePoolId String
    Node pool ID. If no parameter value is provided: add existing ECS instances to the default node pool. If a parameter value is provided: add existing ECS instances to a custom node pool.
    roles List<String>
    Node role. Parameter value description: Worker: Worker node.
    status Property Map
    Node status.
    updatedTime String
    Update time.
    zoneId String
    Availability zone ID.

    Supporting Types

    GetNodeKubernetesConfig

    Cordon bool
    Node lock configuration. Options: false (default): not locked; true: locked
    Labels List<Volcengine.GetNodeKubernetesConfigLabel>
    Kubernetes label information for node pools/nodes. Up to 20 labels can be specified.
    Taints List<Volcengine.GetNodeKubernetesConfigTaint>
    Kubernetes taint information for node pools/nodes. Up to 20 taints can be specified.
    Cordon bool
    Node lock configuration. Options: false (default): not locked; true: locked
    Labels []GetNodeKubernetesConfigLabel
    Kubernetes label information for node pools/nodes. Up to 20 labels can be specified.
    Taints []GetNodeKubernetesConfigTaint
    Kubernetes taint information for node pools/nodes. Up to 20 taints can be specified.
    cordon Boolean
    Node lock configuration. Options: false (default): not locked; true: locked
    labels List<GetNodeKubernetesConfigLabel>
    Kubernetes label information for node pools/nodes. Up to 20 labels can be specified.
    taints List<GetNodeKubernetesConfigTaint>
    Kubernetes taint information for node pools/nodes. Up to 20 taints can be specified.
    cordon boolean
    Node lock configuration. Options: false (default): not locked; true: locked
    labels GetNodeKubernetesConfigLabel[]
    Kubernetes label information for node pools/nodes. Up to 20 labels can be specified.
    taints GetNodeKubernetesConfigTaint[]
    Kubernetes taint information for node pools/nodes. Up to 20 taints can be specified.
    cordon bool
    Node lock configuration. Options: false (default): not locked; true: locked
    labels Sequence[GetNodeKubernetesConfigLabel]
    Kubernetes label information for node pools/nodes. Up to 20 labels can be specified.
    taints Sequence[GetNodeKubernetesConfigTaint]
    Kubernetes taint information for node pools/nodes. Up to 20 taints can be specified.
    cordon Boolean
    Node lock configuration. Options: false (default): not locked; true: locked
    labels List<Property Map>
    Kubernetes label information for node pools/nodes. Up to 20 labels can be specified.
    taints List<Property Map>
    Kubernetes taint information for node pools/nodes. Up to 20 taints can be specified.

    GetNodeKubernetesConfigLabel

    Key string
    Label key. A valid label key consists of two parts: \n\n and \n\n, separated by a slash (/). \n\n is required and supports uppercase and lowercase English letters, numbers, hyphens (-), underscores (_), and periods (.), must start and end with a letter or number, and must not exceed 63 characters. \n\n is optional. If specified, \n\n must be a DNS subdomain: a series of DNS labels separated by periods (.), with a maximum length of 253 characters. The total length of \n\n and \n\n must not exceed 82 characters.
    Value string
    Tag value, up to 63 characters (can be empty). Can start and end with an English letter (upper or lower case) or a digit. Supported special characters: hyphen (-), underscore (_), period (.).
    Key string
    Label key. A valid label key consists of two parts: \n\n and \n\n, separated by a slash (/). \n\n is required and supports uppercase and lowercase English letters, numbers, hyphens (-), underscores (_), and periods (.), must start and end with a letter or number, and must not exceed 63 characters. \n\n is optional. If specified, \n\n must be a DNS subdomain: a series of DNS labels separated by periods (.), with a maximum length of 253 characters. The total length of \n\n and \n\n must not exceed 82 characters.
    Value string
    Tag value, up to 63 characters (can be empty). Can start and end with an English letter (upper or lower case) or a digit. Supported special characters: hyphen (-), underscore (_), period (.).
    key String
    Label key. A valid label key consists of two parts: \n\n and \n\n, separated by a slash (/). \n\n is required and supports uppercase and lowercase English letters, numbers, hyphens (-), underscores (_), and periods (.), must start and end with a letter or number, and must not exceed 63 characters. \n\n is optional. If specified, \n\n must be a DNS subdomain: a series of DNS labels separated by periods (.), with a maximum length of 253 characters. The total length of \n\n and \n\n must not exceed 82 characters.
    value String
    Tag value, up to 63 characters (can be empty). Can start and end with an English letter (upper or lower case) or a digit. Supported special characters: hyphen (-), underscore (_), period (.).
    key string
    Label key. A valid label key consists of two parts: \n\n and \n\n, separated by a slash (/). \n\n is required and supports uppercase and lowercase English letters, numbers, hyphens (-), underscores (_), and periods (.), must start and end with a letter or number, and must not exceed 63 characters. \n\n is optional. If specified, \n\n must be a DNS subdomain: a series of DNS labels separated by periods (.), with a maximum length of 253 characters. The total length of \n\n and \n\n must not exceed 82 characters.
    value string
    Tag value, up to 63 characters (can be empty). Can start and end with an English letter (upper or lower case) or a digit. Supported special characters: hyphen (-), underscore (_), period (.).
    key str
    Label key. A valid label key consists of two parts: \n\n and \n\n, separated by a slash (/). \n\n is required and supports uppercase and lowercase English letters, numbers, hyphens (-), underscores (_), and periods (.), must start and end with a letter or number, and must not exceed 63 characters. \n\n is optional. If specified, \n\n must be a DNS subdomain: a series of DNS labels separated by periods (.), with a maximum length of 253 characters. The total length of \n\n and \n\n must not exceed 82 characters.
    value str
    Tag value, up to 63 characters (can be empty). Can start and end with an English letter (upper or lower case) or a digit. Supported special characters: hyphen (-), underscore (_), period (.).
    key String
    Label key. A valid label key consists of two parts: \n\n and \n\n, separated by a slash (/). \n\n is required and supports uppercase and lowercase English letters, numbers, hyphens (-), underscores (_), and periods (.), must start and end with a letter or number, and must not exceed 63 characters. \n\n is optional. If specified, \n\n must be a DNS subdomain: a series of DNS labels separated by periods (.), with a maximum length of 253 characters. The total length of \n\n and \n\n must not exceed 82 characters.
    value String
    Tag value, up to 63 characters (can be empty). Can start and end with an English letter (upper or lower case) or a digit. Supported special characters: hyphen (-), underscore (_), period (.).

    GetNodeKubernetesConfigTaint

    Effect string
    Taint effect. Options: NoSchedule (default): Do not schedule. NoExecute: Evict Pods that do not tolerate the taint. PreferNoSchedule: Avoid scheduling if possible.
    Key string
    Taint key. A valid taint key has two segments: \n\n and \n\n, separated by a slash (/). \n\n is required and supports English letters (case-sensitive), numbers, hyphen (-), underscore (_), and period (.), must start and end with a letter or number, and be no longer than 63 characters. \n\n is optional. If specified, \n\n must be a DNS subdomain: a series of DNS labels separated by periods (.), no longer than 253 characters. The total length of \n\n and \n\n must not exceed 82 characters.
    Value string
    Taint value, up to 63 characters (can be empty). Must start and end with an English letter or number. Supports special characters: hyphen (-), underscore (_), and period (.).
    Effect string
    Taint effect. Options: NoSchedule (default): Do not schedule. NoExecute: Evict Pods that do not tolerate the taint. PreferNoSchedule: Avoid scheduling if possible.
    Key string
    Taint key. A valid taint key has two segments: \n\n and \n\n, separated by a slash (/). \n\n is required and supports English letters (case-sensitive), numbers, hyphen (-), underscore (_), and period (.), must start and end with a letter or number, and be no longer than 63 characters. \n\n is optional. If specified, \n\n must be a DNS subdomain: a series of DNS labels separated by periods (.), no longer than 253 characters. The total length of \n\n and \n\n must not exceed 82 characters.
    Value string
    Taint value, up to 63 characters (can be empty). Must start and end with an English letter or number. Supports special characters: hyphen (-), underscore (_), and period (.).
    effect String
    Taint effect. Options: NoSchedule (default): Do not schedule. NoExecute: Evict Pods that do not tolerate the taint. PreferNoSchedule: Avoid scheduling if possible.
    key String
    Taint key. A valid taint key has two segments: \n\n and \n\n, separated by a slash (/). \n\n is required and supports English letters (case-sensitive), numbers, hyphen (-), underscore (_), and period (.), must start and end with a letter or number, and be no longer than 63 characters. \n\n is optional. If specified, \n\n must be a DNS subdomain: a series of DNS labels separated by periods (.), no longer than 253 characters. The total length of \n\n and \n\n must not exceed 82 characters.
    value String
    Taint value, up to 63 characters (can be empty). Must start and end with an English letter or number. Supports special characters: hyphen (-), underscore (_), and period (.).
    effect string
    Taint effect. Options: NoSchedule (default): Do not schedule. NoExecute: Evict Pods that do not tolerate the taint. PreferNoSchedule: Avoid scheduling if possible.
    key string
    Taint key. A valid taint key has two segments: \n\n and \n\n, separated by a slash (/). \n\n is required and supports English letters (case-sensitive), numbers, hyphen (-), underscore (_), and period (.), must start and end with a letter or number, and be no longer than 63 characters. \n\n is optional. If specified, \n\n must be a DNS subdomain: a series of DNS labels separated by periods (.), no longer than 253 characters. The total length of \n\n and \n\n must not exceed 82 characters.
    value string
    Taint value, up to 63 characters (can be empty). Must start and end with an English letter or number. Supports special characters: hyphen (-), underscore (_), and period (.).
    effect str
    Taint effect. Options: NoSchedule (default): Do not schedule. NoExecute: Evict Pods that do not tolerate the taint. PreferNoSchedule: Avoid scheduling if possible.
    key str
    Taint key. A valid taint key has two segments: \n\n and \n\n, separated by a slash (/). \n\n is required and supports English letters (case-sensitive), numbers, hyphen (-), underscore (_), and period (.), must start and end with a letter or number, and be no longer than 63 characters. \n\n is optional. If specified, \n\n must be a DNS subdomain: a series of DNS labels separated by periods (.), no longer than 253 characters. The total length of \n\n and \n\n must not exceed 82 characters.
    value str
    Taint value, up to 63 characters (can be empty). Must start and end with an English letter or number. Supports special characters: hyphen (-), underscore (_), and period (.).
    effect String
    Taint effect. Options: NoSchedule (default): Do not schedule. NoExecute: Evict Pods that do not tolerate the taint. PreferNoSchedule: Avoid scheduling if possible.
    key String
    Taint key. A valid taint key has two segments: \n\n and \n\n, separated by a slash (/). \n\n is required and supports English letters (case-sensitive), numbers, hyphen (-), underscore (_), and period (.), must start and end with a letter or number, and be no longer than 63 characters. \n\n is optional. If specified, \n\n must be a DNS subdomain: a series of DNS labels separated by periods (.), no longer than 253 characters. The total length of \n\n and \n\n must not exceed 82 characters.
    value String
    Taint value, up to 63 characters (can be empty). Must start and end with an English letter or number. Supports special characters: hyphen (-), underscore (_), and period (.).

    GetNodeStatus

    Conditions List<Volcengine.GetNodeStatusCondition>
    Status condition under the node's current primary state, indicating the reason for entering this primary state.
    Phase string
    Node status. Parameter values: Creating, Running, Deleting, Failed, Updating.
    Conditions []GetNodeStatusCondition
    Status condition under the node's current primary state, indicating the reason for entering this primary state.
    Phase string
    Node status. Parameter values: Creating, Running, Deleting, Failed, Updating.
    conditions List<GetNodeStatusCondition>
    Status condition under the node's current primary state, indicating the reason for entering this primary state.
    phase String
    Node status. Parameter values: Creating, Running, Deleting, Failed, Updating.
    conditions GetNodeStatusCondition[]
    Status condition under the node's current primary state, indicating the reason for entering this primary state.
    phase string
    Node status. Parameter values: Creating, Running, Deleting, Failed, Updating.
    conditions Sequence[GetNodeStatusCondition]
    Status condition under the node's current primary state, indicating the reason for entering this primary state.
    phase str
    Node status. Parameter values: Creating, Running, Deleting, Failed, Updating.
    conditions List<Property Map>
    Status condition under the node's current primary state, indicating the reason for entering this primary state.
    phase String
    Node status. Parameter values: Creating, Running, Deleting, Failed, Updating.

    GetNodeStatusCondition

    Type string
    Status condition under the node's current primary state, indicating the reason for entering this primary state. There can be multiple reasons. Parameter values: Progressing, Ok, Unschedulable, InitilizeFailed, NotReady, Balance, ResourceCleanupFailed, Unknown.
    Type string
    Status condition under the node's current primary state, indicating the reason for entering this primary state. There can be multiple reasons. Parameter values: Progressing, Ok, Unschedulable, InitilizeFailed, NotReady, Balance, ResourceCleanupFailed, Unknown.
    type String
    Status condition under the node's current primary state, indicating the reason for entering this primary state. There can be multiple reasons. Parameter values: Progressing, Ok, Unschedulable, InitilizeFailed, NotReady, Balance, ResourceCleanupFailed, Unknown.
    type string
    Status condition under the node's current primary state, indicating the reason for entering this primary state. There can be multiple reasons. Parameter values: Progressing, Ok, Unschedulable, InitilizeFailed, NotReady, Balance, ResourceCleanupFailed, Unknown.
    type str
    Status condition under the node's current primary state, indicating the reason for entering this primary state. There can be multiple reasons. Parameter values: Progressing, Ok, Unschedulable, InitilizeFailed, NotReady, Balance, ResourceCleanupFailed, Unknown.
    type String
    Status condition under the node's current primary state, indicating the reason for entering this primary state. There can be multiple reasons. Parameter values: Progressing, Ok, Unschedulable, InitilizeFailed, NotReady, Balance, ResourceCleanupFailed, Unknown.

    Package Details

    Repository
    volcenginecc volcengine/pulumi-volcenginecc
    License
    MPL-2.0
    Notes
    This Pulumi package is based on the volcenginecc Terraform Provider.
    volcenginecc logo
    Viewing docs for volcenginecc v0.0.32
    published on Thursday, Apr 23, 2026 by Volcengine
      Try Pulumi Cloud free. Your team will thank you.